<?
include "header.php";

// SET PRIVACY SETTINGS
if($is_admin_logged_in == "yes") {
$privacy = "AND (privacy='0' OR privacy='1' OR privacy='2' OR privacy='3')";
} elseif($user_status == "owner" | $user_status == "admin" | $user_status == "member" | $user_status == "site_owner") {
$privacy = "AND (privacy='0' OR privacy='1' OR privacy='2' OR privacy='3')";
} elseif($owner_group_info[allow_friends] == "1" & $is_logged_in == "yes" & $user_status == "guest" & $is_friend == "yes") {
$privacy = "AND (privacy='1' OR privacy='2' OR privacy='3')";
} elseif($is_logged_in == "yes") {
$privacy = "AND (privacy='2' OR privacy='3')";
} else {
$privacy = "AND privacy='3'";
}

// IF PRIVACY FEATURE IS DISABLED BY ADMIN
if($owner_group_info[allow_privacy] != 1) {
$privacy = "AND (privacy='0' OR privacy='1' OR privacy='2' OR privacy='3')";
}


if(isset($_GET['m'])) { 
$m = $_GET['m'];
 if((int)$m < 1 | (int)$m > 12) {
 $newest_entry = mysql_fetch_assoc(mysql_query("SELECT e_id, date FROM bhost_entries WHERE w_id='$weblog_info[w_id]' AND draft='0' $privacy ORDER BY date DESC LIMIT 1"));
 $thism = cdate("n", $newest_entry[date]);
 } else {
 $thism = $m;
 } 
} else { 
$newest_entry = mysql_fetch_assoc(mysql_query("SELECT e_id, date FROM bhost_entries WHERE w_id='$weblog_info[w_id]' AND draft='0' $privacy ORDER BY date DESC LIMIT 1"));
$thism = cdate("n", $newest_entry[date]);
}

if(isset($_GET['y'])) { 
$y = $_GET['y'];
 if((int)$y != $y | !is_numeric($y)) {
 $newest_entry = mysql_fetch_assoc(mysql_query("SELECT e_id, date FROM bhost_entries WHERE w_id='$weblog_info[w_id]' AND draft='0' $privacy ORDER BY date DESC LIMIT 1"));
 $thisy = cdate("Y", $newest_entry[date]);
 } else {
 $thisy = $y;
 } 
} else { 
$newest_entry = mysql_fetch_assoc(mysql_query("SELECT e_id, date FROM bhost_entries WHERE w_id='$weblog_info[w_id]' AND draft='0' $privacy ORDER BY date DESC LIMIT 1"));
$thisy = cdate("Y", $newest_entry[date]);
}


// RETRIEVE TEMPLATE
$template = $weblog_info[template];
$template = bh_engine($template);

// REMOVE ANYTHING BETWEEN <IFENTRYPAGE> CONTAINERS
$ifentrypagecount = occurrencecount("<IfEntryPage>", "</IfEntryPage>", $template, "0");
for($a=0;$a<$ifentrypagecount;$a++) {
$template = str_replace("<IfEntryPage>".between("<IfEntryPage>", "</IfEntryPage>", $template)."</IfEntryPage>", "", $template);
}

// REMOVE ANYTHING BETWEEN <IFMAINPAGE> CONTAINERS
$ifentrypagecount = occurrencecount("<IfMainPage>", "</IfMainPage>", $template, "0");
for($a=0;$a<$ifentrypagecount;$a++) {
$template = str_replace("<IfMainPage>".between("<IfMainPage>", "</IfMainPage>", $template)."</IfMainPage>", "", $template);
}

// REMOVE ANYTHING BETWEEN <IFFRIENDSPAGE> CONTAINERS
$iffriendspagecount = occurrencecount("<IfFriendsPage>", "</IfFriendsPage>", $template, "0");
for($a=0;$a<$iffriendspagecount;$a++) {
$template = str_replace("<IfFriendsPage>".between("<IfFriendsPage>", "</IfFriendsPage>", $template)."</IfFriendsPage>", "", $template);
}

// REMOVE ANYTHING BETWEEN <IFPAGES> CONTAINERS
$ifpagescount = occurrencecount("<IfPages>", "</IfPages>", $template, "0");
for($a=0;$a<$ifpagescount;$a++) {
$template = str_replace("<IfPages>".between("<IfPages>", "</IfPages>", $template)."</IfPages>", "", $template);
}

// REMOVE ENTRY CATEGORIES
 $ifcategoriesallowedcount = occurrencecount("<IfCategoriesAllowed>", "</IfCategoriesAllowed>", $template, "0");
 for($a=0;$a<$ifcategoriesallowedcount;$a++) {
 $template = str_replace("<IfCategoriesAllowed>".between("<IfCategoriesAllowed>", "</IfCategoriesAllowed>", $template)."</IfCategoriesAllowed>", "", $template);
 }
 $template = str_replace("<%EntryCategory%>", "", $template);




// REMOVE ANYTHING BETWEEN <IFCOMMENTSALLOWED> AND <COMMENT> CONTAINERS
 $ifcommentsallowedcount = occurrencecount("<IfCommentsAllowed>", "</IfCommentsAllowed>", $template, "0");
 for($a=0;$a<$ifcommentsallowedcount;$a++) {
 $template = str_replace("<IfCommentsAllowed>".between("<IfCommentsAllowed>", "</IfCommentsAllowed>", $template)."</IfCommentsAllowed>", "", $template);
 }
 $commentcontcount = occurrencecount("<Comment>", "</Comment>", $template, "0");
 for($a=0;$a<$commentcontcount;$a++) {
 $template = str_replace("<Comment>".between("<Comment>", "</Comment>", $template)."</Comment>", "", $template);
 }

// REMOVE ANYTHING BETWEEN <IFCOMMENTPOSTALLOWED> CONTAINERS
 $ifpostcommentsallowedcount = occurrencecount("<IfCommentPostAllowed>", "</IfCommentPostAllowed>", $template, "0");
 for($a=0;$a<$ifpostcommentsallowedcount;$a++) {
 $template = str_replace("<IfCommentPostAllowed>".between("<IfCommentPostAllowed>", "</IfCommentPostAllowed>", $template)."</IfCommentPostAllowed>", "", $template);
 }

// REMOVE ANYTHING BETWEEN <IFTRACKBACKSALLOWED> AND <TRACKBACK> CONTAINERS
 $iftrackbacksallowedcount = occurrencecount("<IfTrackbacksAllowed>", "</IfTrackbacksAllowed>", $template, "0");
 for($a=0;$a<$iftrackbacksallowedcount;$a++) {
 $template = str_replace("<IfTrackbacksAllowed>".between("<IfTrackbacksAllowed>", "</IfTrackbacksAllowed>", $template)."</IfTrackbacksAllowed>", "", $template);
 }
 $trackbackcontcount = occurrencecount("<Trackback>", "</Trackback>", $template, "0");
 for($a=0;$a<$trackbackcontcount;$a++) {
 $template = str_replace("<Trackback>".between("<Trackback>", "</Trackback>", $template)."</Trackback>", "", $template);
 }

// REMOVE ANYTHING BETWEEN <ENTRY> CONTAINERS
$entrycount = occurrencecount("<Entry>", "</Entry>", $template, "0");
for($i=0;$i<$entrycount;$i++) {
$template = str_replace("<Entry>".between("<Entry>", "</Entry>", $template)."</Entry>", "", $template);
}



// BUILD ARCHIVES
$archive_data = "";
 $month_date = strtotime("$thism/1/$thisy 12:00:00 am");

  //REPLACE WindowTitle VARIABLE
  $template = str_replace("<%WindowTitle%>", "$weblog_info[title] - $archive2 (".cdate("F Y", $month_date).") - BlogHoster", $template);

  if(cdate("n", $month_date) == 1 | cdate("n", $month_date) == 3 | cdate("n", $month_date) == 5 | cdate("n", $month_date) == 7 | cdate("n", $month_date) == 8 | cdate("n", $month_date) == 10 | cdate("n", $month_date) == 12) {
  $days = 31;
  } elseif(cdate("n", $month_date) == 4 | cdate("n", $month_date) == 6 | cdate("n", $month_date) == 9 | cdate("n", $month_date) == 11) {
  $days = 30;
  } elseif(cdate("n", $month_date) == 2) {
  $days = 28;
  }
 $next_month_date = $month_date+(60*60*24*$days);
 $month_entries = mysql_query("SELECT e_id, title, date FROM bhost_entries WHERE w_id='$weblog_info[w_id]' AND date >= '$month_date' AND date < '$next_month_date' AND draft='0' $privacy ORDER BY date DESC");
  while($month_info = mysql_fetch_assoc($month_entries)) {
  if(str_replace(" ", "", $month_info[title]) == "") { $title = "<i>$archive1</i>"; } else { $title = $month_info[title]; }
  $title = str_replace("&lt;", "<", $title);
  $title = str_replace("&gt;", ">", $title);
  $archive_data .= "<a href='".url("entry", "$weblog_info[weblog]", "", "$month_info[e_id]")."'>".cdate($weblog_info[format_date], $month_info[date]);
  if($weblog_info[showtitle] == "1") { $archive_data .= ": $title"; }
  $archive_data .= "</a><br>";
  }

  $newest_entry = mysql_fetch_assoc(mysql_query("SELECT e_id, date FROM bhost_entries WHERE w_id='$weblog_info[w_id]' AND draft='0' $privacy ORDER BY date DESC LIMIT 1"));
  $newest_year = cdate("Y", $newest_entry[date]);
  $oldest_entry = mysql_fetch_assoc(mysql_query("SELECT e_id, date FROM bhost_entries WHERE w_id='$weblog_info[w_id]' AND draft='0' $privacy ORDER BY date ASC LIMIT 1"));
  $oldest_year = cdate("Y", $oldest_entry[date]);
  $loop = $newest_year - $oldest_year + 1;
  $year = $newest_year;
  for($a=0;$a<$loop;$a++) {
   $year_date = strtotime("1/1/$year 12:00:00 am");
   $next_year_date = $year_date+(60*60*24*365) + cdate("L", $year_date)*60*60*24;
   if(mysql_num_rows(mysql_query("SELECT e_id FROM bhost_entries WHERE w_id='$weblog_info[w_id]' AND date >= '$year_date' AND date < '$next_year_date' AND draft='0' $privacy")) != 0) {
   $archive_data .= "<br><b>$year</b><br>";
    if($year <= 1969) {
       $month_date = "0";
       if(cdate("n", $month_date) == 1 | cdate("n", $month_date) == 3 | cdate("n", $month_date) == 5 | cdate("n", $month_date) == 7 | cdate("n", $month_date) == 8 | cdate("n", $month_date) == 10 | cdate("n", $month_date) == 12) {
       $days = 31;
       } elseif(cdate("n", $month_date) == 4 | cdate("n", $month_date) == 6 | cdate("n", $month_date) == 9 | cdate("n", $month_date) == 11) {
       $days = 30;
       } elseif(cdate("n", $month_date) == 2) {
       $days = 28;
       }
       $next_month_date = $month_date+(60*60*24*$days);
       if(mysql_num_rows(mysql_query("SELECT e_id, title, date FROM bhost_entries WHERE w_id='$weblog_info[w_id]' AND date >= '$month_date' AND date < '$next_month_date' AND draft='0' $privacy")) != 0) {
       $archive_data .= "<a href='".url("archive", "$weblog_info[weblog]", "", "", "$year", "$c")."'>".cdate("F Y", $month_date)."</a><br>";
       }
    } else {
     for($c=12;$c>0;$c--) {
       $month_date = strtotime("$c/1/$year 12:00:00 am");
       if(cdate("n", $month_date) == 1 | cdate("n", $month_date) == 3 | cdate("n", $month_date) == 5 | cdate("n", $month_date) == 7 | cdate("n", $month_date) == 8 | cdate("n", $month_date) == 10 | cdate("n", $month_date) == 12) {
       $days = 31;
       } elseif(cdate("n", $month_date) == 4 | cdate("n", $month_date) == 6 | cdate("n", $month_date) == 9 | cdate("n", $month_date) == 11) {
       $days = 30;
       } elseif(cdate("n", $month_date) == 2) {
       $days = 28;
       }
       $next_month_date = $month_date+(60*60*24*$days);
       if(mysql_num_rows(mysql_query("SELECT e_id, title, date FROM bhost_entries WHERE w_id='$weblog_info[w_id]' AND date >= '$month_date' AND date < '$next_month_date' AND draft='0' $privacy")) != 0) {
       $archive_data .= "<a href='".url("archive", "$weblog_info[weblog]", "", "", "$year", "$c")."'>".cdate("F Y", $month_date)."</a><br>";
       }
     }
    } 
   }
   $year = $year-1;
  }


// INPUT ARCHIVES
$template = str_replace("<%ArchiveInfo%>", "$archive_data", $template);
$template = str_replace("<%CurrentPage%>", "1", $template);
$template = str_replace("<%TotalPages%>", "1", $template);



$search_vars = Array("<IfPages>", "</IfPages>", "<EarlierLink>", "</EarlierLink>", "<LaterLink>", "</LaterLink>", "<RecentEntry>", "</RecentEntry>", "<Entry>", "</Entry>", "<IfCommentsAllowed>", "</IfCommentsAllowed>", "<IfCommentPostAllowed>", "</IfCommentPostAllowed>", "<Comment>", "</Comment>", "<CommentEdit>", "</CommentEdit>", "<CommentDelete>", "</CommentDelete>", "<IfMainPage>", "</IfMainPage>", "<IfEntryPage>", "</IfEntryPage>", "<IfArchivePage>", "</IfArchivePage>", "<%TrackbackRDF%>", "<IfTrackbacksAllowed>", "</IfTrackbacksAllowed>");
$template = str_replace($search_vars, "", $template);



// OUTPUT WEBLOG
echo $template;


?>